Bug 430522 (CVE-2006-0898) - CVE-2006-0898 perl-Crypt-CBC weaker encryption with some ciphers
Summary: CVE-2006-0898 perl-Crypt-CBC weaker encryption with some ciphers
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2006-0898
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: impact=low,public=20060223
Depends On: 430732 430733 430734 445327 449337
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2008-01-28 16:20 UTC by Mark J. Cox
Modified: 2019-06-08 12:27 UTC (History)
0 users

Fixed In Version: 2.17-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-10 20:29:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0630 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server security update 2008-08-13 14:55:17 UTC

Description Mark J. Cox 2008-01-28 16:20:55 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2006-0898 to the following vulnerability:

Crypt::CBC Perl module 2.16 and earlier, when running in RandomIV mode, uses an initialization vector (IV) of 8 bytes, which results in weaker encryption when used with a cipher that requires a larger block size than 8 bytes, such as Rijndael.

References:

http://www.securityfocus.com/archive/1/archive/1/425966/100/0/threaded
http://www.debian.org/security/2006/dsa-996
http://www.gentoo.org/security/en/glsa/glsa-200603-15.xml
http://www.novell.com/linux/security/advisories/2006_38_security.html
http://www.securityfocus.com/bid/16802
http://secunia.com/advisories/18755
http://secunia.com/advisories/19187
http://secunia.com/advisories/19303
http://secunia.com/advisories/20899
http://securityreason.com/securityalert/488
http://xforce.iss.net/xforce/xfdb/24954


Note You need to log in before you can comment on or make changes to this bug.